### Virtual Method

# Camel MessageInfo set_size

since: 3.24

#### Declaration [src]

    gboolean
    set_size (
      CamelMessageInfo* mi,
      guint32 size
    )

#### Description [src]

Sets size of the associated message.

This property is considered static, in a meaning that it should not change during the life-time of the `mi`, the same as it doesn’t change in the associated message.

If the `mi` changed, the ‘dirty’ flag and the ‘folder-flagged’ flag are set automatically, unless the `mi` is aborting notifications. There is not emitted folder’s “changed” signal for this `mi`.

Available since: 3.24

#### Parameters

`size`

  Type: `guint32`

  A size to set.

#### Return value

Type: `gboolean`

Whether the value changed.